This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 505004 - Played music is skipping
Played music is skipping
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 06:43 EDT by markm
Modified: 2009-07-29 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 19:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markm 2009-06-10 06:43:08 EDT
Description of problem:

When I listen to rhythmbox (or totem), music is skipping. Like it has been played from the broken cd. It's a huge regression compared to Fedora 10.

Version-Release number of selected component (if applicable):

pulseaudio-0.9.15-11.fc11.i586

How reproducible:

always - sometimes it happens every 2-5 seconds, sometimes 2-3 times per song only - can't really see why - same song can be played with skips every 2-5 seconds, and next time it plays almost perfectly with one or two skips only.

Steps to Reproduce:
1. Play some music (ogg or mp3) in rhythmbox or totem
  
Actual results:

sound is skipping 

Expected results:

clear sound

Additional info:

it's so annoying that I have to start using my mp3 player to listen to the music at home :-/

hardware: Dell Latitude D620 laptop
Comment 1 Lennart Poettering 2009-06-29 08:45:32 EDT
Please provide the output of "pulseaudio -vvvv" when this happens!
Comment 2 Lennart Poettering 2009-07-27 19:14:02 EDT
Closing due to lack of response to needinfo request.
Comment 3 markm 2009-07-29 15:26:05 EDT
after a few updates it started to be fine, but today - wow - same skipping music again, here is an output from the command you've asked for:

[marek@d620 Desktop]$ pulseaudio -vvvv
D: main.c: Started as real root: no, suid root: yes
I: main.c: PolicyKit refuses acquire-high-priority privilege.
I: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
I: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
I: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: main.c: Can realtime: no, can high-priority: no
D: main.c: Can realtime: no, can high-priority: no
I: main.c: This is PulseAudio 0.9.15
D: main.c: Compilation host: i386-redhat-linux-gnu
D: main.c: Compilation CFLAGS: -ggdb -Wall -W -Wextra -pipe -Wno-long-long -Winline -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2 -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2 -fno-common -fdiagnostics-show-option
D: main.c: Running on host: Linux i686 2.6.29.6-213.fc11.i686.PAE #1 SMP Tue Jul 7 20:59:29 EDT 2009
D: main.c: Found 2 CPUs.
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: no
D: main.c: All asserts enabled.
I: main.c: Machine ID is 75d338dcddaa22684d512c504a2f7963.
I: main.c: Session ID is 75d338dcddaa22684d512c504a2f7963-1248851275.449338-1792952857.
I: main.c: Using runtime directory /home/marek/.pulse/75d338dcddaa22684d512c504a2f7963:runtime.
I: main.c: Using state directory /home/marek/.pulse.
I: main.c: Running in system mode: no
E: pid.c: Daemon already running.
E: main.c: pa_pid_file_create() failed.



when I restarted a pulseaudio, it started worked fine for 10 seconds, then music just stopped.

Note You need to log in before you can comment on or make changes to this bug.